# we don't want to either provide or require anything from _docdir, per policy
# https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering
%{?filter_setup:
%filter_provides_in %{_docdir}
%filter_requires_in %{_docdir}
%filter_setup
}

Name:           debhelper
Version:        9.20120909
Release:        1%{?dist}
Summary:        Helper programs for Debian rules

Group:          Development/Tools
License:        GPLv2+
URL:            http://kitenet.net/~joey/code/debhelper/
Source0:        http://ftp.de.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.gz
Patch0:         debhelper-7.4.20-no-utf8-to-pod2man.patch
Patch1:         debhelper-find-perm.patch
Patch2:         debhelper-fr.po.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

BuildRequires:  po4a
BuildRequires:  man-db
BuildRequires:  dpkg-dev
# For 'make test'
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)

Requires:       binutils
Requires:       dpkg-perl
Requires:       html2text
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       po-debconf

%description
A collection of programs that can be used in a Debian rules file
to automate common tasks related to building Debian packages.
Programs are included to install various files into your package,
compress files, fix file permissions, integrate your package with
the Debian menu system, debconf, doc-base, etc. Most Debian
packages use debhelper as part of their build process.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make %{?_smp_mflags} build

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Use debhelper to install (man-pages of) debhelper...

./run dh_installman -P %{buildroot}

# Add man-pages to a .lang file:
# We cannot use "find_lang --with-man" because it only handle
# single man-page -- we have many

rm -f debhelper-mans.lang
for lang in de es fr; do
    for level in 1 7; do
        # Append to .lang file
        # Replace buildroot with the lang prefix, append '*' (for gzip, etc.)
        find %{buildroot}%{_mandir}/$lang/man$level -type f -o -type l | sed "
                s:^%{buildroot}:%%lang($lang) :
                s:\$:*:
                " >> debhelper-mans.lang
    done
done


%check
make test

%clean
rm -rf %{buildroot}

%files -f debhelper-mans.lang
%defattr(-,root,root,-)
%doc examples/ doc/
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_bindir}/dh*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/autoscripts
%dir %{perl_vendorlib}/Debian
%{perl_vendorlib}/Debian/Debhelper

%changelog
* Fri May 10 2013 Oron Peled <oron@actcom.co.il> - 9.20120909-1
- Update to latest Debian/wheezy version
- Fix find_lang for man-pages
- Added 'de' to language list

* Thu Mar 29 2012 Oron Peled <oron@actcom.co.il> - 9.20120322-3
- Fix testing BR -- perl(Test::...)
- Now make test works as intended

* Wed Mar 28 2012 Oron Peled <oron@actcom.co.il> - 9.20120322-2
- Avoid auto-requires under _docdir
- Prepare for make test (but don't fail yet, as we miss perl-Test-More)

* Mon Mar 26 2012 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 9.20120322
- New version

* Wed Sep 29 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.4.20-4
- Fix locale

* Fri Aug 13 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.4.20-3
- Fix description

* Thu May 13 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.4.20-2
- Include es/fr man pages
- Update to newer version from Debian Sid
- Fix package requirements

* Tue May 11 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.0.15-1
- First package
